<?php

namespace App\Classes\Modules\Companies\DataTransferObjects;

use App\Classes\General\Interfaces\DataTransferObject;
use App\Models\CompanyModule;

class CompanyConnectionObject implements DataTransferObject
{

    /** @var CompanyModule */
    private $invitee;
    
    /** @var CompanyModule */
    private $inviter;

    /** @var string */
    private $inviterReference;

    /** @var string */
    private $inviteeReference;

    /**
     * CompanyConnectionObject constructor.
     * @param CompanyModule $invitee
     * @param CompanyModule $inviter
     * @param string $inviterReference
     * @param string $inviteeReference
     */
    public function __construct(CompanyModule $invitee, CompanyModule $inviter, string $inviteeReference, string $inviterReference)
    {
        $this->invitee = $invitee;
        $this->inviter = $inviter;
        $this->inviterReference = $inviterReference;
        $this->inviteeReference = $inviteeReference;
    }

    /**
     * @return CompanyModule
     */
    public function getInvitee(): CompanyModule
    {
        return $this->invitee;
    }

    /**
     * @return CompanyModule
     */
    public function getInviter(): CompanyModule
    {
        return $this->inviter;
    }

    /**
     * @return string
     */
    public function getInviterReference(): string
    {
        return $this->inviterReference;
    }

    /**
     * @return string
     */
    public function getInviteeReference(): string
    {
        return $this->inviteeReference;
    }


}
